Subject: Quine, ontology, and Perl

From: Gaal Yahas <[email-masked]>
Date: Tue, 9 May 2000 22:18:15 +0300

perl -le
   '@Just_another_Perl_hacker=map{/^[^*].*hack/&&s,_, ,g&s,$,\,,&print}%::'

[spoiler below]

The subject of this message refers to W. V. Quine's essay "On What
There Is" where he suggest the criterion by which "to be is to be the
value of a variable". The above JAPH works by doing manipulation on
the symbol table entry--the name, not the value--of a variable.

Ontology in memory space is of course better understood than in "the
world". The JAPH works only becase Perl allows us access to the symbol
table as data.

-- 
believing is seeing
[email-masked]
http://www.forum2.org/gaal/